<template>
<div>
  <div class="mobile_nav">
    <!-- <div> -->
      <div class="lang_change_ct">
        <template v-for="lang_key, index in langs_list">
          <span :class="{'selected': lang.now_lang.key == lang_key.key }" @click="changet_to(lang_key.key)">
            {{ lang_key.text }}
          </span>
          <template v-if="index < langs_list.length - 1">
            /
          </template>
        </template>
      </div>

      <div class="login_module" v-if="scatter_configs.has_scatter == 2">
         <span>{{ scatter_configs.scatter_instance.auth.actor }}&nbsp;&nbsp;</span>
         <div>
            <a href="https://mp.weixin.qq.com/s/Oj2tX5JXzeukvElbvEI3FA" class="view_instruction" target="_blank">{{ lang.data['查看使用教程'] }}</a>
            <span @click="log_out">{{ lang.data['退出登录'] }}</span>  
         </div>
      </div>

      <div class="login_module" v-if="scatter_configs.has_scatter == 1" @click="call_scatter">
         <span>{{ lang.data['Scatter 登录'] }}</span>
         <span class="arrow"></span>
      </div>
      <div class="login_module" v-if="scatter_configs.has_scatter == -1">
         <span>{{ lang.data['Scatter 登录'] }}</span>
         <span class="arrow"></span>
      </div>
      <div class="login_module" v-if="scatter_configs.has_scatter == 0">
         <span>{{ lang['data']['正在检测Scatter'] }}</span>
         <div class="load_circle"></div>
      </div>

    <!-- </div> -->
  </div>
  <div class="top_nav">
    <div class="comm_main">
      <!-- <div class="logo"></div> -->
      <router-link class="logo" :to="{'name': 'app'}"></router-link>

      <div class="right_nav">
        <div class="lang_change_ct">
          <template v-for="lang_key, index in langs_list">
            <span :class="{'selected': lang.now_lang.key == lang_key.key }" @click="changet_to(lang_key.key)">
              {{ lang_key.text }}
            </span>
            <template v-if="index < langs_list.length - 1">
              /
            </template>
          </template>
        </div>

        <div class="login_module" v-if="scatter_configs.has_scatter == 2">
           <span>{{ scatter_configs.scatter_instance.auth.actor }}</span>/<span @click="log_out">
             {{ lang.data['退出登录'] }}
           </span>
        </div>
        <div class="login_module" v-if="scatter_configs.has_scatter == 1" @click="call_scatter">
           <span>
             {{ lang.data['Scatter 登录'] }}
           </span>
           <span class="arrow"></span>
        </div>
        <div class="login_module" v-if="scatter_configs.has_scatter == -1">
           <span>
             {{ lang.data['Scatter 登录'] }}
           </span>
           <span class="arrow"></span>
        </div>
        <div class="login_module" v-if="scatter_configs.has_scatter == 0">
           <span>
             {{ lang['data']['正在检测Scatter'] }}
           </span>
           <div class="load_circle"></div>
        </div>
      </div>

    </div>
  </div>

  <!-- <div class="top_nav top_nav_fixed">
    <div class="comm_main">
      <router-link class="logo" :to="{'name': 'app'}"></router-link>
      <div class="login_module" v-if="scatter_configs.has_scatter == 2">
         <span>{{ scatter_configs.scatter_instance.auth.actor }}</span>/<span @click="log_out">退出登录</span>
      </div>
      <div class="login_module" v-if="scatter_configs.has_scatter == 1" @click="call_scatter">
         <span>Scatter 登录</span>
         <span class="arrow"></span>
      </div>
      <div class="login_module" v-if="scatter_configs.has_scatter == -1">
         <span>使用Scatter 登录</span>
         <span class="arrow"></span>
      </div>
      <div class="login_module" v-if="scatter_configs.has_scatter == 0">
         <span>正在检测Scatter</span>
         <div class="load_circle"></div>
      </div>
    </div>
  </div> -->

  
</div>
  
</template>
<script>
import { mapActions, mapState, mapMutations, mapGetters } from 'vuex';
import store from '../data/store.js'
import {
  log_out
} from '../service'
import {
  call_scatter
} from '../service'
import { lang } from '../lang'
export default {

  data () {
    return {
      lang,
      langs_list: [
        {
          text: '中',
          key: 'cn',
        },
        {
          text: 'En',
          key: 'en'
        }
      ]
    }
  },

  computed: {
    ...mapState(['scatter_configs', 'account_info']),
    ...mapGetters([
        'account_name'
      ])
  },

  watch: {
    account_name () {
      this.check_plege();
    }
  },

  methods: {

    async log_out () {
      log_out();
    },

    async call_scatter () {
      let res = await call_scatter();
    },
    changet_to (lang_key) {
      let href = window.location.href.split('#')[0] + '#/' + lang_key;
      window.location.href = href;
      window.location.reload(1);
    },
    ...mapActions({
      'check_plege': 'check_plege'
    }),
    ...mapMutations([
        'set_scatter_instance',
        'set_has_scatter'
      ])

  }

}
</script>
<style lang="stylus" scoped="true">
.mobile_nav
  @media (max-width: 800px)
    justify-content space-between
    margin-left 0px
    .login_module
      width auto
    
.right_nav
  display flex

.lang_change_ct
    margin-right 20px
    span
      cursor pointer
      font-size 12px        
      &.selected, &:hover
        color green
        font-size 14px
</style>